Package: org.apache.groovy.groovysh.jline

## [Groovy] Class MavenCoordinateCompleter

- org.apache.groovy.groovysh.jline.MavenCoordinateCompleter

- All Implemented Interfaces and Traits:
    org.jline.reader.Completer

      class MavenCoordinateCompleter
      extends Object
      implements org.jline.reader.Completer

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MavenCoordinateCompleter()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `complete(org.jline.reader.LineReader reader, org.jline.reader.ParsedLine line, List<org.jline.reader.Candidate> candidates)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MavenCoordinateCompleter()

  - ### Method Detail

    - #### @Override
      void complete(org.jline.reader.LineReader reader, org.jline.reader.ParsedLine line, List<org.jline.reader.Candidate> candidates)